Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

vlc <3.0 broken on linux #125

Closed
blaenk opened this issue Dec 30, 2016 · 3 comments
Closed

vlc <3.0 broken on linux #125

blaenk opened this issue Dec 30, 2016 · 3 comments

Comments

@blaenk
Copy link
Contributor

blaenk commented Dec 30, 2016

If anyone else is running vlc <3.0 on linux with no problems on RC4 or later, please let us know.

It seems like 401e08a was an effort to achieve vlc 3 compatibility but it seems to have been at the expense of vlc 2.x. Particularly in lineReceived() of players/vlc.py, having constants.VLC_LISTEN_FOR_STDOUT not True causes syncplay to give a "Failed to connect to VLC" error. When I set that constant to True everything seems to work perfectly.

@Et0h
Copy link
Contributor

Et0h commented Dec 30, 2016

I'm hoping the recent commits to the 1.4.x Syncplay branch will resolve the various VLC issues, but I've only tested it on Windows. If Linux and *BSD users can test the Syncplay 1.4.x branch GIT HEAD with VLC 2.2.4 and VLC 3.x and let me know how it goes that'd be useful.

@blaenk
Copy link
Contributor Author

blaenk commented Jan 1, 2017

Confirmed working on linux with vlc 2.x.

@Et0h
Copy link
Contributor

Et0h commented Jan 25, 2017

Thanks for the confirmation

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

2 participants